TypeInfoUtil.DllEntry (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: TypeInfoUtil, class: DllEntry

Package com.sun.jna.platform.win32.COM

# Class TypeInfoUtil.DllEntry

java.lang.Object
com.sun.jna.platform.win32.COM.TypeInfoUtil.DllEntry

Enclosing class:
  TypeInfoUtil

public static class TypeInfoUtil.DllEntry extends Object
The Class DllEntry.

Author:
  wolf.tobias@gmx.net The Class DllEntry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DllEntry(String dllName, String name, int ordinal)`
  Instantiates a new dll entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDllName()`
  Gets the dll name.
  `String`
  `getName()`
  Gets the name.
  `int`
  `getOrdinal()`
  Gets the ordinal.
  `void`
  `setDllName(String dllName)`
  Sets the dll name.
  `void`
  `setName(String name)`
  Sets the name.
  `void`
  `setOrdinal(int ordinal)`
  Sets the ordinal.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DllEntry

    public DllEntry(String dllName, String name, int ordinal)
    Instantiates a new dll entry.
    Parameters:
      `dllName` - the dll name
      `name` - the name
      `ordinal` - the ordinal

- ## Method Details

  - ### getDllName

    public String getDllName()
    Gets the dll name.
    Returns:
      the dll name

  - ### setDllName

    public void setDllName(String dllName)
    Sets the dll name.
    Parameters:
      `dllName` - the new dll name

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getOrdinal

    public int getOrdinal()
    Gets the ordinal.
    Returns:
      the ordinal

  - ### setOrdinal

    public void setOrdinal(int ordinal)
    Sets the ordinal.
    Parameters:
      `ordinal` - the new ordinal